org.apache.ignite.internal.processors.cache

## Class CacheObjectUtils

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheObjectUtils

    public class CacheObjectUtils
    extends Object

Cache object utility methods.

### Method Summary

Methods
`static Collection<Object>` `unwrapBinariesIfNeeded(CacheObjectValueContext ctx, Collection<Object> col, boolean keepBinary)`
`static Object` `unwrapBinaryIfNeeded(CacheObjectValueContext ctx, Object o, boolean keepBinary, boolean cpy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### unwrapBinaryIfNeeded

    public static Object unwrapBinaryIfNeeded(CacheObjectValueContext ctx,
                              Object o,
                              boolean keepBinary,
                              boolean cpy)

Parameters:
  `o` - Object to unwrap.
  `keepBinary` - Keep binary flag.
  `cpy` - Copy value flag.
Returns:
  Unwrapped object.

#### unwrapBinariesIfNeeded

    public static Collection<Object> unwrapBinariesIfNeeded(CacheObjectValueContext ctx,
                                            Collection<Object> col,
                                            boolean keepBinary)

Parameters:
  `col` - Collection of objects to unwrap.
  `keepBinary` - Keep binary flag.
Returns:
  Unwrapped collection.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017